import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _extends from "@babel/runtime/helpers/extends";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { FileType, ChunkType, COMMON_CHUNK_NAME, CLASS_DEFINE_CHUNK_NAME, DEFAULT_LINK_AFTER } from '@alilc/lowcode-code-generator';
var pluginFactory = function pluginFactory(config) {
  var cfg = _extends({
    fileType: FileType.JSX
  }, config);
  var plugin = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(pre) {
      var _ir$methodsModule, _ir$methodsModule2;
      var next, ir;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = _extends({}, pre);
            ir = next.ir;
            if (!(((_ir$methodsModule = ir.methodsModule) === null || _ir$methodsModule === void 0 ? void 0 : _ir$methodsModule.type) !== 'JSModule' || !((_ir$methodsModule2 = ir.methodsModule) !== null && _ir$methodsModule2 !== void 0 && _ir$methodsModule2.source))) {
              _context.next = 4;
              break;
            }
            return _context.abrupt("return", next);
          case 4:
            // 创建 methods.jsx
            next.chunks.push({
              type: ChunkType.STRING,
              subModule: 'methods',
              fileType: cfg.fileType,
              name: COMMON_CHUNK_NAME.CustomContent,
              content: ir.methodsModule.source,
              linkAfter: []
            });

            // 引入对应的模块
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: cfg.fileType,
              name: COMMON_CHUNK_NAME.InternalDepsImport,
              content: "import __$$methodsModule from './methods';",
              linkAfter: [].concat(DEFAULT_LINK_AFTER[COMMON_CHUNK_NAME.InternalDepsImport])
            });

            // 将导出的东东都放到 class 上实例方法部分
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: cfg.fileType,
              name: CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
              content: 'Object.assign(this, __$$methodsModule);',
              linkAfter: [].concat(DEFAULT_LINK_AFTER[CLASS_DEFINE_CHUNK_NAME.ConstructorContent])
            });
            return _context.abrupt("return", next);
          case 8:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
export default pluginFactory;