import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { generateStaticFiles } from './static-files';
var raxAppTemplate = {
  slots: {
    components: {
      path: ['src', 'components']
    },
    pages: {
      path: ['src', 'pages']
    },
    router: {
      path: ['src', 'router'],
      fileName: 'index'
    },
    entry: {
      path: ['src'],
      fileName: 'main'
    },
    mainCss: {
      path: ['assets'],
      fileName: 'main'
    },
    app: {
      path: ['src'],
      fileName: 'app'
    },
    appConfig: {
      path: ['src'],
      fileName: 'app'
    },
    buildConfig: {
      path: [],
      fileName: 'build'
    },
    constants: {
      path: ['src'],
      fileName: 'constants'
    },
    utils: {
      path: ['src'],
      fileName: 'utils'
    },
    i18n: {
      path: ['src'],
      fileName: 'i18n'
    },
    globalStyle: {
      path: ['src'],
      fileName: 'global'
    },
    htmlEntry: {
      path: [],
      fileName: 'index'
    },
    packageJSON: {
      path: [],
      fileName: 'package'
    }
  },
  generateTemplate: function generateTemplate() {
    return _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", generateStaticFiles());
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }))();
  }
};
export default raxAppTemplate;