import * as constants from './plugins/component/vue3/const';
import * as globalUtils from './utils';
export default function createVueProjectBuilder(): import("@alilc/lowcode-code-generator").IProjectBuilder;
export declare const publishers: {
    disk: import("@alilc/lowcode-code-generator").PublisherFactory<import("@alilc/lowcode-code-generator/types/publisher/disk").IDiskFactoryParams, import("@alilc/lowcode-code-generator/types/publisher/disk").IDiskPublisher>;
    zip: import("@alilc/lowcode-code-generator").PublisherFactory<import("@alilc/lowcode-code-generator/types/publisher/zip").ZipFactoryParams, import("@alilc/lowcode-code-generator/types/publisher/zip").ZipPublisher>;
};
export declare const plugins: {
    methods: import("@alilc/lowcode-code-generator").BuilderComponentPluginFactory<import("./plugins/component/vue3/methods").PluginConfig>;
    vue: import("@alilc/lowcode-code-generator").BuilderComponentPluginFactory<import("./plugins/component/vue3/vue").PluginConfig>;
    styles: import("@alilc/lowcode-code-generator").BuilderComponentPluginFactory<import("./plugins/component/vue3/styles").PluginConfig>;
    constants: typeof constants;
    globalUtils: typeof globalUtils;
};
