"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var _lodash = _interopRequireDefault(require("lodash"));
var _const = require("./const");
var pluginFactory = function pluginFactory(config) {
  var cfg = (0, _extends2["default"])({
    fileType: 'vue'
  }, config);
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var next, ir, createMethodsContent;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            if (ir.methods) {
              _context.next = 4;
              break;
            }
            return _context.abrupt("return", next);
          case 4:
            createMethodsContent = function createMethodsContent() {
              var pieces = [];
              _lodash["default"].forIn(ir.methods, function (item, methodName) {
                if (item.type === 'JSFunction') {
                  var modifiedString = item.value.replace("function (", "function " + methodName + " (");
                  pieces.push(modifiedString);
                }
              });
              return pieces.join('\n');
            };
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: cfg.fileType,
              name: _const.VUE_CHUNK_NAME.ScriptMethods,
              content: createMethodsContent(),
              linkAfter: [_const.VUE_CHUNK_NAME.ScriptStart, _const.VUE_CHUNK_NAME.ScriptVueImp, _const.VUE_CHUNK_NAME.ScriptInitState, _const.VUE_CHUNK_NAME.ScriptLifeCycles]
            });
            return _context.abrupt("return", next);
          case 7:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;