"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _template = _interopRequireDefault(require("./template"));
var _packageJSON = _interopRequireDefault(require("./plugins/packageJSON"));
var _entryHtml = _interopRequireDefault(require("./plugins/entryHtml"));
var _entry = _interopRequireDefault(require("./plugins/entry"));
var _mainCss = _interopRequireDefault(require("./plugins/mainCss"));
var _app = _interopRequireDefault(require("./plugins/app"));
var _router = _interopRequireDefault(require("./plugins/router"));
var _default = {
  template: _template["default"],
  plugins: {
    packageJSON: _packageJSON["default"],
    entryHtml: _entryHtml["default"],
    entry: _entry["default"],
    app: _app["default"],
    router: _router["default"],
    mainCss: _mainCss["default"]
  }
};
exports["default"] = _default;