"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var _ir$meta;
      var next, ir;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.HTML,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.HtmlContent,
              content: "\n        <!DOCTYPE html>\n        <html lang=\"en\">\n          <head>\n            <meta charset=\"UTF-8\">\n            <link rel=\"icon\" href=\"/favicon.ico\">\n            <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n            <title>" + ((ir === null || ir === void 0 ? void 0 : (_ir$meta = ir.meta) === null || _ir$meta === void 0 ? void 0 : _ir$meta.name) || 'Vite App') + "</title>\n          </head>\n          <body>\n            <div id=\"app\"></div>\n            <script type=\"module\" src=\"/src/main.js\"></script>\n          </body>\n        </html>\n      ",
              linkAfter: []
            });
            return _context.abrupt("return", next);
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;