"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _lowcodeCodeGenerator = require("@alilc/lowcode-code-generator");
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var _ir$routes;
      var next, ir, routes, firtRoute;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            routes = ir.routes;
            routes.map(function (route) {
              next.chunks.push({
                type: _lowcodeCodeGenerator.ChunkType.STRING,
                fileType: _lowcodeCodeGenerator.FileType.JS,
                name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport,
                content: "\n        import " + route.componentName + " from '@/pages/" + route.fileName + "/index.vue'\n        ",
                linkAfter: [_lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport]
              });
            });
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.JS,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport,
              content: "\n      import { createRouter, createWebHistory } from 'vue-router'\n      ",
              linkAfter: [_lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport]
            });
            firtRoute = (_ir$routes = ir.routes) === null || _ir$routes === void 0 ? void 0 : _ir$routes[0];
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.JS,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileVarDefine,
              content: "\n      const router = createRouter({\n        history: createWebHistory(import.meta.env.BASE_URL),\n        routes: [\n          {\n            path: '/',\n            redirect: '" + firtRoute.path + "',\n          },\n          " + ir.routes.map(function (route) {
                return "\n                            {\n                              path: '" + route.path + "',\n                              component: " + route.componentName + ",\n                            }\n                          ";
              }).join(',') + "\n        ]\n      })\n      ",
              linkAfter: [_lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.ImportAliasDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileUtilDefine]
            });
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.STRING,
              fileType: _lowcodeCodeGenerator.FileType.JS,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileExport,
              content: "\n      export default router;\n      ",
              linkAfter: [_lowcodeCodeGenerator.COMMON_CHUNK_NAME.ExternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.InternalDepsImport, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileUtilDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.ImportAliasDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileVarDefine, _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileMainContent]
            });
            return _context.abrupt("return", next);
          case 9:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;