"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.encodeJsxStringNode = encodeJsxStringNode;
var _lodash = _interopRequireDefault(require("lodash"));
// import { encode } from 'html-entities';

var SPECIAL_CHARS = '\n\r\'"<>&';
var SPECIAL_CHARS_REG = new RegExp("[" + SPECIAL_CHARS.split('').map(function (c) {
  return "\\x" + _lodash["default"].padStart(c.charCodeAt(0).toString(16), 2, '0');
}).join('') + "]", 'g');
function encodeJsxStringNode(str) {
  return str.replace(SPECIAL_CHARS_REG, function (c) {
    return "&#" + c.charCodeAt(0) + ";";
  });
}

// export function encodeJsxStringNode(str: string): string {
//   return encode(str);
// }