import _extends from "@babel/runtime/helpers/extends";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { COMMON_CHUNK_NAME, ChunkType, FileType } from '@alilc/lowcode-code-generator';
var pluginFactory = function pluginFactory() {
  var plugin = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(pre) {
      var _ir$meta;
      var next, ir;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = _extends({}, pre);
            ir = next.ir;
            next.chunks.push({
              type: ChunkType.STRING,
              fileType: FileType.HTML,
              name: COMMON_CHUNK_NAME.HtmlContent,
              content: "\n        <!DOCTYPE html>\n        <html lang=\"en\">\n          <head>\n            <meta charset=\"UTF-8\">\n            <link rel=\"icon\" href=\"/favicon.ico\">\n            <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\n            <title>" + ((ir === null || ir === void 0 ? void 0 : (_ir$meta = ir.meta) === null || _ir$meta === void 0 ? void 0 : _ir$meta.name) || 'Vite App') + "</title>\n          </head>\n          <body>\n            <div id=\"app\"></div>\n            <script type=\"module\" src=\"/src/main.js\"></script>\n          </body>\n        </html>\n      ",
              linkAfter: []
            });
            return _context.abrupt("return", next);
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
export default pluginFactory;