"use strict";

exports.__esModule = true;
exports.VUE_CHUNK_NAME = exports.REACT_CHUNK_NAME = void 0;
var VUE_CHUNK_NAME = {
  ScriptStart: 'VueComponentScriptStart',
  ScriptVueImp: 'VueComponentScriptVueImp',
  ScriptInitState: 'VueComponentScriptInitState',
  ScriptLifeCycles: 'VueComponentScriptLifeCycles',
  ScriptMethods: 'VueComponentScriptMethods',
  ScriptContent: 'VueComponentScriptContent',
  ScriptEnd: 'VueComponentScriptEnd',
  TemplateStart: 'VueComponentTemplateStart',
  TemplateContent: 'VueComponentTemplateContent',
  TemplateEnd: 'VueComponentTemplateEnd',
  StyleStart: 'VueComponentStyleStart',
  StyleContent: 'VueComponentStyleContent',
  StyleEnd: 'VueComponentStyleEnd'
};
exports.VUE_CHUNK_NAME = VUE_CHUNK_NAME;
var REACT_CHUNK_NAME = {
  ClassRenderStart: 'ReactComponentClassRenderStart',
  ClassRenderPre: 'ReactComponentClassRenderPre',
  ClassRenderEnd: 'ReactComponentClassRenderEnd',
  ClassRenderJSX: 'ReactComponentClassRenderJSX',
  ClassDidMountStart: 'ReactComponentClassDidMountStart',
  ClassDidMountEnd: 'ReactComponentClassDidMountEnd',
  ClassDidMountContent: 'ReactComponentClassDidMountContent'
};
exports.REACT_CHUNK_NAME = REACT_CHUNK_NAME;