"use strict";

exports.__esModule = true;
exports.isLiteralAtomicExpr = isLiteralAtomicExpr;
/**
 * 判断是否是原子类型的表达式
 */
function isLiteralAtomicExpr(expr) {
  return expr === 'null' || expr === 'undefined' || expr === 'true' || expr === 'false' || /^-?\d+(\.\d+)?$/.test(expr);
}