"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _lowcodeCodeGenerator = _interopRequireWildcard(require("@alilc/lowcode-code-generator"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var buildDataSourceDependencies = _lowcodeCodeGenerator["default"].utils.dataSource.buildDataSourceDependencies;
var pluginFactory = function pluginFactory(cfg) {
  var plugin = /*#__PURE__*/function () {
    var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pre) {
      var next, ir, packages, packageJson;
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            next = (0, _extends2["default"])({}, pre);
            ir = next.ir;
            packages = ir.packages;
            packages.forEach(function (pkg) {
              if (pkg["package"] === 'ElementPlus') {
                pkg["package"] = 'element-plus';
              }
            });
            packageJson = {
              name: (cfg === null || cfg === void 0 ? void 0 : cfg.packageName) || 'vue3-demo-app',
              version: (cfg === null || cfg === void 0 ? void 0 : cfg.packageVersion) || '0.0.0',
              description: '浪潮软件低代码平台',
              dependencies: (0, _extends2["default"])({
                "vue": "^3.3.4",
                "vue-router": "^4.2.4"
              }, buildDataSourceDependencies(ir, cfg === null || cfg === void 0 ? void 0 : cfg.datasourceConfig)),
              devDependencies: {
                "@rushstack/eslint-patch": "^1.3.2",
                "@vitejs/plugin-vue": "^4.2.3",
                "@vue/eslint-config-prettier": "^8.0.0",
                "eslint": "^8.45.0",
                "eslint-plugin-vue": "^9.15.1",
                "prettier": "^3.0.0",
                "vite": "^4.4.6"
              },
              scripts: {
                "dev": "vite",
                "build": "vite build",
                "preview": "vite preview",
                "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore",
                "format": "prettier --write src/"
              },
              "private": true
            };
            ir.packages.forEach(function (packageInfo) {
              packageJson.dependencies[packageInfo["package"]] = packageInfo.version;
            });
            next.chunks.push({
              type: _lowcodeCodeGenerator.ChunkType.JSON,
              fileType: _lowcodeCodeGenerator.FileType.JSON,
              name: _lowcodeCodeGenerator.COMMON_CHUNK_NAME.FileMainContent,
              content: packageJson,
              linkAfter: []
            });
            return _context.abrupt("return", next);
          case 8:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function plugin(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  return plugin;
};
var _default = pluginFactory;
exports["default"] = _default;