"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _staticFiles = require("./static-files");
var raxAppTemplate = {
  slots: {
    components: {
      path: ['src', 'components']
    },
    pages: {
      path: ['src', 'pages']
    },
    router: {
      path: ['src', 'router'],
      fileName: 'index'
    },
    entry: {
      path: ['src'],
      fileName: 'main'
    },
    mainCss: {
      path: ['assets'],
      fileName: 'main'
    },
    app: {
      path: ['src'],
      fileName: 'app'
    },
    appConfig: {
      path: ['src'],
      fileName: 'app'
    },
    buildConfig: {
      path: [],
      fileName: 'build'
    },
    constants: {
      path: ['src'],
      fileName: 'constants'
    },
    utils: {
      path: ['src'],
      fileName: 'utils'
    },
    i18n: {
      path: ['src'],
      fileName: 'i18n'
    },
    globalStyle: {
      path: ['src'],
      fileName: 'global'
    },
    htmlEntry: {
      path: [],
      fileName: 'index'
    },
    packageJSON: {
      path: [],
      fileName: 'package'
    }
  },
  generateTemplate: function generateTemplate() {
    return (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
      return _regenerator["default"].wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            return _context.abrupt("return", (0, _staticFiles.generateStaticFiles)());
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }))();
  }
};
var _default = raxAppTemplate;
exports["default"] = _default;